<?php
/* Autor...:  */
/* Esquema.: MST_TipoGarantia.xml */
/* Generado: 2020-08-18 04:21:28 */

/* Metodos de acceso a los campos de la tabla MST_TipoGarantia */
abstract class BaseMST_TipoGarantiaBN
{
    /* Campos de la tabla */
    private $i_TipoGarantiaId;    // TipoGarantiaId: ( no definido )
    private $s_Nombre;    // Nombre: ( no definido )
    private $f_NumeroDias;    // NumeroDias: ( no definido )

    /* Establece el valor del campo TipoGarantiaId */
    public function setTipoGarantiaId( $i_TipoGarantiaId )
    {
        $this->i_TipoGarantiaId = $i_TipoGarantiaId;
    }

    /* Obtiene el valor del campo TipoGarantiaId */
    public function getTipoGarantiaId()
    {
        return $this->i_TipoGarantiaId;
    }

    /* Establece el valor del campo Nombre */
    public function setNombre( $s_Nombre )
    {
        $this->s_Nombre = $s_Nombre;
    }

    /* Obtiene el valor del campo Nombre */
    public function getNombre()
    {
        return $this->s_Nombre;
    }

    /* Establece el valor del campo NumeroDias */
    public function setNumeroDias( $f_NumeroDias )
    {
        $this->f_NumeroDias = $f_NumeroDias;
    }

    /* Obtiene el valor del campo NumeroDias */
    public function getNumeroDias()
    {
        return $this->f_NumeroDias;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'TipoGarantiaId' => $this->getTipoGarantiaId(),
            'Nombre' => $this->getNombre(),
            'NumeroDias' => $this->getNumeroDias(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto MST_TipoGarantiaBN desde un RecordSet */
    public static function retrieveByRs( $o_MST_TipoGarantiaRs )
    {
        $o_MST_TipoGarantiaBN = new MST_TipoGarantiaBN();
        $o_MST_TipoGarantiaBN->setTipoGarantiaId( ( integer ) $o_MST_TipoGarantiaRs[ "TipoGarantiaId" ] );
        $o_MST_TipoGarantiaBN->setNombre( $o_MST_TipoGarantiaRs[ "Nombre" ] );
        $o_MST_TipoGarantiaBN->setNumeroDias( ( float ) $o_MST_TipoGarantiaRs[ "NumeroDias" ] );
        return $o_MST_TipoGarantiaBN;
    }
}
?>